"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class IndividualTests(ProtocolElement):
    """
    This is the master state for this sample, for example caution,quality
    could be used to say that a sample under this individual has
    quality issues.  See sample level for full details
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "inbreedingcoefficient",
        "plinksex",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_1_0_0 import metrics as metrics_1_0_0

        return {
            "org.gel.models.report.avro.IndividualTests": metrics_1_0_0.IndividualTests,
        }

    __slots__ = [
        "inbreedingcoefficient",
        "plinksex",
    ]

    def __init__(
        self,
        inbreedingcoefficient,
        plinksex,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_0_0.IndividualTests model.

        :param inbreedingcoefficient:
        :type inbreedingcoefficient: boolean
        :param plinksex:
        :type plinksex: boolean
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.0.0"
